package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.CpsContentInfo;
import com.ruoyi.system.domain.CpsMeetingUsr;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * cps_usr_wechat微信用户Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-18
 */
public interface CpsMeetingUsrMapper {
    /**
     * 查询cps_usr_wechat微信用户
     *
     * @param id cps_usr_wechat微信用户主键
     * @return cps_usr_wechat微信用户
     */
    public CpsMeetingUsr selectCpsMeetingUsrById(Long id);

    CpsMeetingUsr selectCpsMeetingUsrByOpenId(String openId);
    /**
     * 查询cps_usr_wechat微信用户列表
     *
     * @param cpsMeetingUsr cps_usr_wechat微信用户
     * @return cps_usr_wechat微信用户集合
     */
    public List<CpsMeetingUsr> selectCpsMeetingUsrList(CpsMeetingUsr cpsMeetingUsr);

    /**
     * 新增cps_usr_wechat微信用户
     *
     * @param cpsMeetingUsr cps_usr_wechat微信用户
     * @return 结果
     */
    public int insertCpsMeetingUsr(CpsMeetingUsr cpsMeetingUsr);

    /**
     * 修改cps_usr_wechat微信用户
     *
     * @param cpsMeetingUsr cps_usr_wechat微信用户
     * @return 结果
     */
    public int updateCpsMeetingUsr(CpsMeetingUsr cpsMeetingUsr);

    /**
     * 删除cps_usr_wechat微信用户
     *
     * @param id cps_usr_wechat微信用户主键
     * @return 结果
     */
    public int deleteCpsMeetingUsrById(Long id);

    /**
     * 批量删除cps_usr_wechat微信用户
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCpsMeetingUsrByIds(Long[] ids);

    public Integer exitUser(String tel);

    CpsMeetingUsr qryUsrByTel(String tel);

    int updateCpsMeetingUsrByTel(CpsMeetingUsr cpsMeetingUsr);

    List<CpsContentInfo> qryUsrCollectContent(@Param("openId") String openId, @Param("keyword") String keyword);

}
